local L = LibStub("AceLocale-3.0"):GetLocale("TrackOMatic", true);

local HATED = 1;
local HOSTILE = 2;
local UNFRIENDLY = 3;
local NEUTRAL = 4;
local FRIENDLY = 5;
local HONORED = 6;
local REVERED = 7;
local EXALTED = 8;

TRACKOMATIC_REPUTATION_DATA = {

    -- Booty Bay, Gadgetzan, Ratchet & Everlook
    [21] = {
        { text = L["MOB_KILLS"], repGain = 5 },
    },
    [369] = {
        { text = L["MOB_KILLS"], repGain = 5 },
    },
    [577] = {
        { text = L["MOB_KILLS"], repGain = 5 },
    },
    [470] = {
        { text = L["MOB_KILLS"], repGain = 5 },
    },

    -- Cenarion Circle
    [609] = {
        { text = L["MOB_KILLS"], repGain = 10 },
        { text = L["TURNINS"], subItems = {
            { text = L["SILITHYST_TURNIN"], repGain = 20 },
            { itemId = 20404, itemCount = 10, repGain = 500 },
        }},
    },

    -- Alliance & Horde capitals
    [47] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45717, itemCount = 1, repGain = 250 },
        }},
    },
    [54] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45716, itemCount = 1, repGain = 250 },
        }},
    },
    [68] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45723, itemCount = 1, repGain = 250 },
        }},
    },
    [69] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45714, itemCount = 1, repGain = 250 },
        }},
    },
    [72] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45718, itemCount = 1, repGain = 250 },
        }},
    },
    [76] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45719, itemCount = 1, repGain = 250 },
        }},
    },
    [81] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45722, itemCount = 1, repGain = 250 },
        }},
    },
    [530] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45720, itemCount = 1, repGain = 250 },
        }},
    },
    [911] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45721, itemCount = 1, repGain = 250 },
        }},
    },
    [930] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
        { text = L["TURNINS"], subItems = {
            { itemId = 45715, itemCount = 1, repGain = 250 },
        }},
    },
    [1133] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
    },
    [1134] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
    },
    [1352] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
    },
    [1353] = {
        { text = L["DUNGEON_KILLS_NON_TRIVIAL"], repGain = 15 },
        { text = L["BOSS_KILLS_NON_TRIVIAL"], repGain = 300 },
    },

    -- Timbermaw Hold
    [576] = {
        { text = L["MOB_KILLS"], repGain = 20 },
        { text = L["TURNINS"], subItems = {
            { itemId = 21377, itemCount = 5, repGain = 2000 },
            { itemId = 21383, itemCount = 5, repGain = 2000 },
        }},
    },

    -- Darkmoon Faire
    [909] = {
        { text = L["DARKMOON_QUESTS_ANY"], repGain = 250, isQuest = true },
        { text = L["DARKMOON_GAMES_COLLECTIVE"], repGain = 1250, isQuest = true, isDaily = true },
        { text = L["TURNINS"], subItems = {
            { text = L["DARKMOON_ARTIFACT_SETS"], repGain = 2250, isQuest = true },
            { text = L["DARKMOON_PROFESSION_QUEST_SETS"], repGain = 2250, isQuest = true },
        }},
        { text = "" },
        { text = L["DARKMOON_MONTHS"], repGain = 12500, isCounter = true },
    },

    -- Brood of Nozdormu
    [910] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 21229, repGain = 500 },
        }},
    },

    -- Bloodsail Buccaneers
    [87] = {
        { text = L["MOB_KILLS"], repGain = 25, subItems = {
            { text = L["MOB_BOOTY_BAY_BRUISER"] },
        }},
    },

    -- Ravenholdt
    [349] = {
        { text = L["MOB_KILLS"], repGain = 5, maxStanding = HONORED },
        { text = L["TURNINS"], subItems = {
            { itemId = 16885, itemCount = 5, repGain = 75 },
        }},
    },

    -- Thorium Brotherhood
    [59] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 17010, itemCount = 1, repGain = 2000 },
            { itemId = 17011, itemCount = 1, repGain = 2000 },
            { itemId = 11382, itemCount = 1, repGain = 2000 },
            { itemId = 17012, itemCount = 2, repGain = 2000 },
            { itemId = 11370, itemCount = 10, repGain = 2000 },
        }},
    },

    -- Argent Dawn
    [529] = {
        { text = L["DO_EPL_QUESTS"], maxStanding = HONORED },
        { text = L["QUEST_ARGENTDAWN_REPEAT1"], repGain = 1000, isQuest = true, isDaily = true, minStanding = REVERED },
        { text = L["QUEST_ARGENTDAWN_REPEAT2"], repGain = 1000, isQuest = true, isDaily = true, minStanding = REVERED },
    },

    -- Wintersaber Trainers
    [589] = {
        { text = L["DAILY_QUESTS"], repGain = 1500, isQuest = true, isDaily = true },
    },

    -- Zandalar Tribe, Shen'dralar, Gelkis Clan Centaur, Magram Clan Centaur
    [270] = { noGain = true },
    [809] = { noGain = true },
    [92] = { noGain = true },
    [93] = { noGain = true },

    -- ******************** Burning Crusade ********************

    -- Sporeggar
    [970] = {
        { text = L["MOB_KILLS"], repGain = 15, subItems = {
            { text = L["MOB_BOG_LORD"], maxStanding = HONORED },
            { text = L["MOB_STARVING_BOG_LORD"], maxStanding = HONORED },
            { text = L["MOB_STARVING_FUNGAL_GIANT"], maxStanding = HONORED },
            { text = L["MOB_MARSH_DREDGER"] },
            { text = L["MOB_MARSH_LURKER"] },
        }},
        { text = L["TURNINS"], subItems = {
            { itemId = 24245, itemCount = 10, repGain = 750, maxStanding = NEUTRAL },
            { itemId = 24291, itemCount = 6, repGain = 750, maxStanding = FRIENDLY },
            { itemId = 24290, itemCount = 10, repGain = 750, maxStanding = FRIENDLY },
            { itemId = 24246, itemCount = 5, repGain = 750, minStanding = HONORED },
            { itemId = 24449, itemCount = 6, repGain = 750, minStanding = HONORED },
            { text = L["QUEST_SPOREGGAR_REPEAT"], repGain = 750, isQuest = true, minStanding = HONORED },
        }},
    },

    -- The Mag'har
    [941] = {
        { text = L["MOB_KILLS"], repGain = 10 },
        { text = L["TURNINS"], subItems = {
            { itemId = 25433, itemCount = 10, repGain = 500 },
        }},
    },

    -- Kurenai
    [978] = {
        { text = L["MOB_KILLS"], repGain = 10 },
        { text = L["TURNINS"], subItems = {
            { itemId = 25433, itemCount = 10, repGain = 500 },
        }},
    },

    -- Cenarion Expedition
    [942] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 24401, itemCount = 10, repGain = 250, maxStanding = FRIENDLY },
        }},
    },

    -- Shattered Sun Offensive
    [1077] = {
        { text = L["GOLD_DONATIONS"], repGain = 150, isGoldDonation = true, moneyRequired = 100000, isDaily = true },
        { text = L["DAILIES_SET"], repGain = 4950, isQuest = true, isDaily = true },
    },

    -- Lower City
    [1011] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 25719, itemCount = 30, repGain = 250, maxStanding = FRIENDLY },
        }},
    },

    -- Netherwing
    [1015] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 32427, itemCount = 30, repGain = 250, maxStanding = FRIENDLY },
            { itemId = 32464, itemCount = 40, repGain = 250 },
            { itemId = 32470, itemCount = 35, repGain = 250 },
            { itemId = 32468, itemCount = 40, repGain = 250 },
        }},
    },

    -- Ogri'la
    [1038] = {
        { text = L["DAILY_QUESTS"], repGain = 350, isQuest = true, isDaily = true },
    },

    -- Sha'tari Skyguard
    [1031] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 32388, itemCount = 6, repGain = 150 },
        }},
    },

    -- The Aldor
    [932] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 29425, itemCount = 10, repGain = 250, minStanding = NEUTRAL, maxStanding = FRIENDLY },
            { itemId = 30809, itemCount = 10, repGain = 250, minStanding = NEUTRAL },
            { itemId = 29740, itemCount = 1, repGain = 350, minStanding = NEUTRAL },
            { itemId = 25802, itemCount = 8, repGain = 250, maxStanding = UNFRIENDLY },
        }},
    },

    -- The Scryers
    [934] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 29426, itemCount = 10, repGain = 250, minStanding = NEUTRAL, maxStanding = FRIENDLY },
            { itemId = 30810, itemCount = 10, repGain = 250, minStanding = NEUTRAL },
            { itemId = 29739, itemCount = 1, repGain = 350, minStanding = NEUTRAL },
            { itemId = 25744, itemCount = 8, repGain = 250, maxStanding = UNFRIENDLY },
        }},
    },

    -- The Consortium
    [933] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 25416, itemCount = 10, repGain = 250, maxStanding = NEUTRAL },
            { itemId = 25463, itemCount = 3, repGain = 250, maxStanding = NEUTRAL },
            { itemId = 25433, itemCount = 10, repGain = 250, minStanding = FRIENDLY },
            { itemId = 29209, itemCount = 10, repGain = 250, minStanding = FRIENDLY },
        }},
    },

    -- ******************** Wrath of the Lich King ********************

    -- The Sons of Hodir
    [1119] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 42780, itemCount = 10, repGain = 325 },
            { itemId = 44724, itemCount = 1, repGain = 350 },
            { itemId = 49702, itemCount = 1, repGain = 520 },
        }},
    },

    -- Argent Crusade
    [1106] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 44711, itemCount = 1, repGain = 520 },
        }},
    },

    -- Knights of the Ebon Blade
    [1098] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 44713, itemCount = 1, repGain = 520 },
        }},
    },

    -- Kirin Tor
    [1090] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 43950, itemCount = 1, repGain = 520 },
        }},
    },

    -- Wyrmrest Accord
    [1091] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 44710, itemCount = 1, repGain = 520 },
        }},
    },

    -- The Kalu'ak
    [1073] = {
        { text = L["DAILY_QUESTS"], repGain = 500, isQuest = true, isDaily = true },
    },

    -- ******************** Cataclysm ********************

    -- Therazane
    [1171] = {
        { text = L["DAILY_QUESTS"], repGain = 250, isQuest = true, isDaily = true },
        { text = L["DAILIES_SET"], repGain = 1500, maxStanding = HONORED, isQuest = true, isDaily = true },
        { text = L["DAILIES_SET"], repGain = 1850, minStanding = REVERED, isQuest = true, isDaily = true },
    },

    -- Dragonmaw Clan
    [1172] = {
        { text = L["DAILY_QUESTS"], repGain = 250, isQuest = true, isDaily = true },
        { text = L["DAILIES_SET"], repGain = 1350, isQuest = true, isDaily = true },
    },

    -- Wildhammer Clan
    [1174] = {
        { text = L["DAILY_QUESTS"], repGain = 250, isQuest = true, isDaily = true },
        { text = L["DAILIES_SET"], repGain = 1350, isQuest = true, isDaily = true },
    },

    -- Ramkahen
    [1173] = {
        { text = L["DAILIES_SET"], repGain = 400, isQuest = true, isDaily = true },
    },

    -- ******************** Mists of Pandaria ********************

    -- Golden Lotus
    [1269] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 94227, itemCount = 1, repGain = 1000 },
        }},
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- Shado-Pan
    [1270] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 94223, itemCount = 1, repGain = 1000 },
        }},
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- The Tillers
    [1272] = {
        { text = L["DAILIES_SET"], repGain = 925, isQuest = true, isDaily = true },
        { text = L["HARVEST_CROPS"], repGain = 50 },
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- The Anglers
    [1302] = {
        { text = L["DAILIES_SET"], repGain = 1500, isQuest = true, isDaily = true },
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- Jogu the Drunk
    [1273] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79267, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74643, itemCount = 5, repGain = 1800 },
        }},
    },
    -- Ella
    [1275] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79266, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74651, itemCount = 5, repGain = 1800 },
        }},
    },
    -- Old Hillpaw
    [1276] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79265, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74649, itemCount = 5, repGain = 1800 },
        }},
    },
    -- Chee Chee
    [1277] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79265, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74647, itemCount = 5, repGain = 1800 },
        }},
    },
    -- Sho
    [1278] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79267, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74645, itemCount = 5, repGain = 1800 },
        }},
    },
    -- Haohan Mudclaw
    [1279] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79266, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74651, itemCount = 5, repGain = 1800 },
        }},
    },
    -- Tina Mudclaw
    [1280] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79264, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74652, itemCount = 5, repGain = 1800 },
        }},
    },
    -- Gina Mudclaw
    [1281] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79268, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74644, itemCount = 5, repGain = 1800 },
        }},
    },
    -- Fish Fellreed
    [1282] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79266, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74655, itemCount = 5, repGain = 1800 },
        }},
    },
    -- Farmer Fung
    [1283] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 79268, itemCount = 1, repGain = 900 },
            { text = L["OTHER_GIFTS"], repGain = 540 },
            { itemId = 74654, itemCount = 5, repGain = 1800 },
        }},
    },

    -- The Klaxxi
    [1337] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 87903, itemCount = 20, repGain = 250 },
            { itemId = 94226, itemCount = 1, repGain = 1000 },
        }},
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- The August Celestials
    [1341] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 94225, itemCount = 1, repGain = 1000 },
        }},
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- Dominance Offensive
    [1375] = {
        { text = L["DAILIES_SET"], repGain = 900, isQuest = true, isDaily = true },
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- Operation: Shieldwall
    [1376] = {
        { text = L["DAILIES_SET"], repGain = 900, isQuest = true, isDaily = true },
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- Kirin Tor Offensive
    [1387] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 95489, itemCount = 1, repGain = 25 },
            { itemId = 95490, itemCount = 1, repGain = 250 },
        }},
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- Sunreaver Onslaught
    [1388] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 95487, itemCount = 1, repGain = 25 },
            { itemId = 95488, itemCount = 1, repGain = 250 },
        }},
        { text = L["DAILY_DUNGEON_BONUS"], repGain = 300 },
        { text = L["DAILY_SCENARIO_BONUS"], repGain = 200 },
    },

    -- Shado-Pan Assault
    [1435] = {
        { text = L["TURNINS"], subItems = {
            { itemId = 95496, itemCount = 1, repGain = 100 },
        }},
    },

};
